{% extends "base.html" %}
{% load static %}
{% block titulo %}
  Nuevo Intercambio
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navInter").attr('class','dropdown active');
  $("#navCrearInter").attr('class','active');
</script>
<style type="text/css">
  .input-group-addon {
    padding: 0px 6px;
}
</style>
<form  action="/CrearIntercambio/" method="POST" data-toggle="validator" role="form" id="formulario">{% csrf_token %}
    {% ifequal estado 'warning'%}
  <div class="row">
    <div class="alert alert-warning alert-dismissible" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" style=" font-size:30px;"><span aria-hidden="true">&times;</span></button>
      <strong>POR FAVOR ENVIE EL CAPITAL. UNA VEZ SOBREPASADO EL MONTO TOPE NO PODRA ENVIAR TRANSFERENCIA NI INTERCAMBIOS</strong><br>
      Cualquier duda contactese con el gerente
    </div>
  </div>
   {% endifequal %}
  <div class="row">
    <div class="col-md-12 col-sm-12" >
        <div class="panel panel-default">
          <div class="panel-heading"><strong>CREAR INTERCAMBIO</strong></div>
          <div class="panel-body">
            <div class="row" id="Result">
            <div class="col-md-12">
              {% ifnotequal resultado '' %}
              {% ifequal resultado 'exito' %}
              <div class="alert alert-success" role="alert" align="center">
                <h4>OPERACION EXITOSA!!</h4>
              </div>
              {% else %}
              <div class="alert alert-danger" role="alert" align="center">
                <h4>FALLO OPERACION :( {{resultado}}</h4>
              </div>
              {% endifequal %}
              {% endifnotequal %}
            </div>
            </div>
             {% ifequal estado 'danger'%}
            <div class="row">
              <div class="col-md-12">
                <div class="alert alert-warning alert-dismissible" role="alert">
                  <strong>USTED YA SOBREPASO EL MONTO TOPE EN TRANSFERENCIAS; POR FAVOR ENVIE EL CAPITAL</strong><br>
                  cualquier  duda comuniquese con el gerente
                </div>
              </div>
            </div>
            {% else %}
            <div class="row">
              <div class="col-md-12">
                <div class="row">
                   <div class="col-md-12">
                      <div class="col-md-4">
                            <div class="panel panel-default" id="panel_beneficiario">
                            <div class="panel-heading" id="grupoB">  
                                <b>BENEFICIADO <span id="cabecera_bene"></span></b> 
                            </div>
                            <div class="panel-body" id="CampoBen">

                                  <input type="text" class="hidden" name="IdCliente" id="IdCliente">
                                  <input type="text" class="hidden" name="IdBeneficiado" id="IdBeneficiado">

                              <div class="row">
                                <div class="col-md-12">
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersonaB" id="rbNaturalB" value="Natural" required checked>
                                      Persona Natural
                                  </label>
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersonaB" id="rbJuridicaB" value="Juridica" required>
                                      Persona Jurídica
                                  </label>
                                </div>
                              </div> 
                              
                              <div class="row">
                                <div class="col-md-6">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon" ><label id="dniRUCB">DNI:</label></div>
                                      <input type="text" class="form-control" id="txtDNIB" name="DniRucB" data-minlength="8" data-maxlength="11"  data-provide="typeahead" autocomplete="off">
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>              
                                </div>
                                <div class="col-md-3">
                                  <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_bene">Limpiar</button>
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label id="nombreRazonB">Nombres: </label></div>
                                      <input type="text" class="form-control mayuscula" id="txtNombreB"  name="NombreBnf" data-provide="typeahead" autocomplete="off" required>
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                   <div class="help-block with-errors"></div>
                                  </div> 
                                </div>
                              </div>
                                <div class="row" id="campoApB">
                                  <div class="col-md-12">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>A. Paterno: </label></div>
                                        <input type="text" class="form-control mayuscula" id="txtAPB" name="PaternoBnf" data-provide="typeahead" autocomplete="off" required>
                                      </div>
                                      <div class="form-control-feedback" style="text-align:left;" ></div>

                                     <div class="help-block with-errors"></div>
                                    </div>  
                                  </div>
                                </div>
                                <div class="row" id="campoAmB">
                                  <div class="col-md-12">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>A. Materno:</label></div>
                                        <input type="text" class="form-control mayuscula" id="txtAMB" name="MaternoBnf" data-provide="typeahead" autocomplete="off" required>
                                      </div>
                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                     <div class="help-block with-errors"></div>
                                    </div>   
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-8">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>Celular: </label></div>
                                        <input type="text" class="form-control mayuscula" id="txtcel" name="CelularBnf"  data-minlength="9" maxlength="9" style="font-size:16px;font-weight:bold;" pattern="[9][0-9]{2,9}$">
                                      </div>
                                      
                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                      <div class="help-block with-errors"></div>
                                    </div>      
                                  </div>
                                </div>

                              </div>
                            </div>  
                            </div>

                          <div class="col-md-4">
                          <div class="panel panel-default" id="panel_solicitante">
                          <div class="panel-heading" id="grupoS"> 
                            <b>SOLICITANTE <span id="cabecera_soli"></span></b> 
                          </div>
                          <div class="panel-body" id="CampoSol">
                          <div class="row">
                            
                            <div class="col-md-12">
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbNatural" value="Natural" required checked>
                                      Persona Natural 
                                  </label>
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbJuridica" value="Juridica" required>
                                      Persona Jurídica
                                  </label>
                            </div>                            
                          </div> 
                          <p></p>
                          <div class="row">
                            <div class="col-md-6">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="dniRUC">DNI: </label></div>
                                  <input type="text" class="form-control" id="txtDNI" name="DniRucCln" data-minlength="8" data-maxlength="11" data-provide="typeahead" autocomplete="off">
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>              
                               <p></p>
                            </div>
                            <div class="col-md-3">
                              <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_soli">Limpiar</button>
                            </div>
                          </div>
                          <div class="row">
                             <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="nombreRazon">Nombres: </label></div>
                                  <input type="text" class="form-control mayuscula" id="txtNombre" name="NombreCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                               </div>                             
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAp">
                            <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label>A. Paterno:</label></div>
                                  <input type="text" class="form-control mayuscula" id="txtAP" name="PaternoCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAm">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>A. Materno:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtAM" name="MaternoCln" data-provide="typeahead" autocomplete="off">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                             
                                <p></p>
                              </div>
                          </div>
                           <div class="row">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>Celular:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtcelCli" name="CelularCli"  data-minlength="9" maxlength="9" style="font-size:16px;font-weight:bold;" pattern="[9][0-9]{2,9}$">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>      
                              </div>
                            </div>
                           


                           
                            
                            </div>
                          </div>  
                        </div>
                    





                 


                    <div class="col-md-4">
                      <div class="panel panel-default" >
                      <div class="panel-heading"  id="grupoC"><strong>INTERCAMBIO</strong></div>
                        <div class="panel-body">
                          <div class="row">
                            <div class="col-md-2"  align="right">
                              <label>Destino:</label> 
                            </div>
                            <div class="col-md-8" >
                              <div class="">
                                  <select class="form-control" name="OficinaDst" id="ComboOficina" placeholder="Destino">  
                                  </select>
                              </div>
                             <div class="help-block with-errors"></div>
                            </div>
                            <div class="col-md-2">
                              <div class="checkbox" id="campoCheCajaD">
                                  <label> <input id="ts4" type="checkbox">Caja</label>
                              </div> 
                             </div> 
                          </div>
                          <div class="row" id="campoCajaD" hidden>
                            <div class="col-md-4"  align="right">
                              <label>Caja Destino</label> 
                            </div>
                            <div class="col-md-7">
                                <div class="select">
                                  <select class="form-control" name="CajaDes" id="ComboCajaD">
                                  </select> 
                                </div>
                            </div>
                          </div> 
                          <div class="row">
                            <div class="col-md-12">
                              <div class="col-sm-8" style="padding-right: 0px;padding-left: 0px;">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>Monto:</label></div>
                                    <input type="text" class="form-control t-monto" id="txtCantidad" name="Monto" autocomplete="off" required>
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                              
                                <p></p>
                              </div>
                              <div class="col-sm-4" style="padding-right: 0px;padding-left: 0px;">
                                 <select class="form-control" name="moneda" id="Cmoneda">
                                    <option value="soles">Soles</option>
                                    <option value="dolares">Dolares</option>
                                  </select>
                              </div>
                            </div>
                            <script type="text/javascript">
                              $(document).ready(function(){
                                $('#txtCantidad').numeric(".");
                                $('#txtcel').numeric();
                                    //$('#decimal').numeric(",");
                              });
                            </script>
                           
                          </div> 
                          <div class="row">
                            <div class="col-md-11">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label>Comisión (DT):</label></div>
                                  <input type="text" class="form-control t-monto" id="txtComicion" name="comicion" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>                              
                              <p></p>
                            </div>
                            <script type="text/javascript">
                              $(document).ready(function(){
                                $('#txtComicion').numeric(".");                          
                                    //$('#decimal').numeric(","); 
                              });
                            </script>
                          </div>
                          <div class="row">
                            <div class="col-md-11">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon">
                                      <label>Comisión Bancos:</label>
                                    </div>
                                    <input type="text" class="form-control t-monto" id="txtConcepto" name="MontoConcepto" autocomplete="off">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                              
                                <p></p>
                              </div>
                            <script type="text/javascript">
                              $(document).ready(function(){
                                $('#txtConcepto').numeric(".");
                              });
                            </script>
                          </div> 
                          <div class="row">
                            <div class="col-md-2" align="right">
                              <label>Detalle Bancos:</label> 
                            </div>
                            <div class="col-md-10">
                              <div class="form-group">
                                <div class="fg-line">
                                 <textarea class="form-control" rows="2"  name="conceptoDet" ></textarea >
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                </div>
                                 <div class="help-block with-errors"></div>
                              </div>                              
                              <p></p>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-2" align="right">
                              <label>Obs:</label>
                            </div>
                            <div class="col-md-10">
                              <div class="form-group">
                              <div class="fg-line">
                                <textarea class="form-control" rows="2" name="obs"></textarea >
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                              </div>
                               <div class="help-block with-errors"></div>
                              </div>
                              
                            </div>
                          </div>  
                          <p></p>                                  
                        </div>
                      </div>  
                    </div>
                  </div>
                  <br>
                </div>





                </div>
                <br>

             
            <div class="row hidden">
               <div class="col-md-1 col-xs-1" style="z-index: -10;">
                <select class="form-control" name="transac">
                  <option value="{{transac}}"></option>
                </select>
              </div>
            </div>
            <div class="row">
            
              <div class="col-md-2 col-md-offset-5">
                <button type="button" class="btn btn-primary btn-block btn-sm" data-toggle="modal" data-target="#modalenvio" id="enviar_transferencia">Guardar</button>
              </div>
            </div>
            {% endifequal %}
            <div id="modalenvio" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog ">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                              <label class="modal-title" id="myModalLabel">Detalle Intercambio</label>
                            </div>
                            <div class="modal-body">
                              <div class="row">
                                <div class="col-md-2 col-md-offset-1" > 
                                  <h4>Cantidad:</h4> 
                                </div>
                                <div class="col-md-6">
                                    <h4 ><span id="mn"></span> <b id="canti_h4"></b></h4>
                                    <h4 ><span id="canti_h6" style="color: #a94442;" ></span> <span id="alerta_mone"></span></h4>
                                </div>
                              </div>
                              <p></p>
                              <div class="row">
                                <div class="col-md-2 col-md-offset-1" > 
                                  <h4>Comisión:</h4> 
                                </div>
                                <div class="col-md-6">
                                    <h4 ><span id="mn1"></span> <b id="comi_h4"></b></h4>
                                    <h4 ><span id="comi_h6" style="color: #a94442;" ></span> <span id="alerta_mone1"></span></h4>
                                </div>
                              </div>
                              <p></p>
                              <div class="row">
                                <div class="col-md-2 col-md-offset-1" > 
                                  <h4>Concepto Extra:</h4> 
                                </div>
                                <div class="col-md-6">
                                    <h4 ><span id="mn2"></span> <b id="otros_h4"></b></h4>
                                    <h4 ><span id="otros_h6" style="color: #a94442;" ></span> <span id="alerta_mone2"></span></h4>
                                </div>
                              </div>
                              <p></p>
                              <div class="row">
                                <div class="" role="alert" align="center" id="resp_en">
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-md-4 col-md-offset-4">
                                  <div class="form-group">
                                    <button type="submit" class="btn btn-success btn-block" id="enviar_tr">Enviar</button>
                                  </div>
                                </div>
                              </div>
                            </div>

                          </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->
             <div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                              <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                            </div>
                            <div class="modal-body">
                              <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                
                                <h5 align="center"><b>SOLICITUD DE INTERCAMBIO</b></h5>
                                <table>
                                  <tr nowrap>=======================================</tr>
                                </table>
                                <table>
                                  <tr>
                                    <td nowrap> <h5 >Codigo: </h5></td>
                                    <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                                    <td nowrap><h5 id="codigoRecibo"></h5></td>
                                  </tr>
                                </table>
                                <table>
                                  <tr>
                                    <td nowrap> <h5 id="fechaRecibo"></h5></td>
                                    <td style="padding-top:10px;"><div style="width:30px;height:20px;"> </div></td>
                                    <td nowrap><h5 id="horaRecibo"></h5></td>
                                  </tr>
                                </table>
                                <table>
                                  <tr>
                                    <td id="oficinaRecibo" style="width:100px;"></td>
                                    <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                                    <td style="width:60px; text-align:right;">Nº<span id="nror"></span></td>
                                  </tr>
                                </table>
                                <!--<b> NRO DE RECIBO:</b>
                                <p id="nror"></p>-->
                                <!--
                                <b> OFICINA DESTINO:</b>
                                <p id="oficinaDestino"></p>
                                <b> SOLICITANTE:</b>
                                <p id="soli"></p>
                               
                                <b>IMPORTE:</b>
                                <p id="pldet"></p>
                                <b>IMPORTE TOTAL:</b>
                                <h4 id="importe"></h4>
                                <br>
                                <b> BENEFICIADO:</b>
                                <p ><h4 id="bene"></h4></p>
                                <br>
                                <br>-->
                                <table>
                                  <tr>
                                    <td  valign="top" style="padding-top:10px;"><b>Of. Destino:</b></td>
                                    <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                                    <td id="oficinaDestino" style="padding-top:10px;" ></td>
                                  </tr>
                                  <tr >
                                    <td  valign="top" style="padding-top:10px;"><b>Beneficiado:</b></td>
                                    <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                                    <td id="bene" style="padding-top:10px;"></td>
                                  </tr>
                                  <tr>
                                    <td  valign="top" style="padding-top:10px;"><b>Solicitante:</b></td> 
                                    <td style="padding-top:10px;"><div style="width:20px;height:15px;"> </div></td>
                                    <td id="soli" style="padding-top:10px;"></td>
                                  </tr>
                                </table>
                                <br>
                                <!--<p id="pldet"></p>-->
                                
                                <b>IMPORTE:</b>
                                <table>
                                  <tr>
                                    <td>Monto:</td>
                                    <td ><div style="width:40px;"> </div></td>
                                    <td id="monto_tr" style="text-align:right;"></td>
                                  </tr>
                                  <tr>
                                    <td>Comisión</td>
                                    <td ><div style="width:40px;"> </div></td>
                                    <td id="comi_tr" style="text-align:right;"></td>
                                  </tr>
                                  <tr>
                                    <td>Otros:</td>
                                    <td ><div style="width:40px;"> </div></td>
                                    <td id="otros_tr" style="text-align:right;"></td>
                                  </tr>
                                </table> 
                                <br>
                                <b>IMPORTE TOTAL:</b>
                                <h4 id="importe"></h4>
                                <table>
                                  <tr>
                                    <td><b>Observaciones:</b></td>
                                  </tr>
                                  <tr>
                                    <td id="reciboObs"></td>
                                  </tr>
                                  <tr>
                                    <td><b>Otros detalle:</b>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td id="reciboDet"></td>
                                  </tr>
                                </table>
                                <table>
                                  <tr>
                                    <td><div style="height:30px;"> </div></td>
                                  </tr>
                                  <tr>
                                    <td>____________________</td>
                                  </tr>
                                  <tr>
                                    <td nowrap><h5><b>OP. {{ nombre_usuario }}</b></h5></td>
                                  </tr>
                                  <tr>
                                    <td><div style="height:35px;"> </div></td>
                                  </tr>
                                  <tr>
                                    <td>____________________</td>
                                  </tr>
                                  <tr>
                                    <td nowrap><b><span id="soli1"></span></b></td>
                                  </tr>
                                  
                                </table>
                                
                              </div>
                            </div>
                            <div class="modal-footer">
                              <hr>
                              <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                            </div>

                          </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->
          </div>
        </div>
    </div>
  </div>
</form>
<!--
<script type="text/javascript" src="https://consorcioimperial.com/socket-io/socket.io/socket.io.js"></script>
-->
    <script type="text/javascript">
     //var socket = io.connect('https://consorcioimperial.com',{path:'/socket-io/socket.io'});
          var Aux="";
          var filaI =0;
          var indice_monto=0;
          var bnd= false;
          var flagComision=0;
          var flagKeyUp=0;
          $(document).ready(function () {
            {% ifnotequal resultado '' %}
            {% ifequal resultado 'exito' %}
                  var mr;
                  var fechaRecibo= '{{fechaRecibo}}'
                  var horaRecibo='{{horaRecibo}}'
                  //var nombreRecibo='{{nombreRecibo}}'
                  var montoRecibo='{{montoRecibo}}'
                  var monedaRecibo='{{monedaRecibo}}'
                  //var conceptoDetalleRecibo='{{conceptoDetalleRecibo}}'
                  var usuario='{{user.username}}'
                  //var dniRecibo='{{dniRecibo}}'
                  var oficinaRecibo='{{oficinaRecibo}}'
                  var ofiDestino='{{oficinadestino}}'
                  var ofiDesDir='{{direccionofi}}'
                  var numeror='{{nrorecibo}}'
                  var solicitante='{{soli}}'
                  var beneficiado='{{bene}}'
                  var comi='{{comisionRecibo}}'
                  var capi='{{capitalRecibo}}'
                  var otros='{{otrosRecibo}}'
                  var recibo_obs='{{recibo_obs}}'
                  var recibo_det='{{recibo_det}}'
                  var codigoRecibo='{{codigo}}'
                  //$("#recibi").text(nombreRecibo);
                  if(monedaRecibo=="soles")
                  {
                    mr="S/. "
                  }
                  else
                  {
                    mr="$/. "
                  }
                  //$("#pldet").html("Monto:"+mr+capi+"<br>Comision: "+mr+comi+"<br> Otros:"+mr+otros);
                  $("#monto_tr").text(mr+capi);
                  $("#comi_tr").text(mr+comi);
                  $("#otros_tr").text(mr+otros);
                  $("#oficinaRecibo").text(oficinaRecibo);
                  $("#horaRecibo").text("Hora: "+horaRecibo);
                  $("#fechaRecibo").text("Fecha: "+fechaRecibo);
                  $("#importe").text(mr+montoRecibo);
                  //$("#concepto").text(conceptoDetalleRecibo);
                  $("#usuario").text(usuario);
                  $("#nror").text(numeror);
                  $("#bene").text(beneficiado);
                  $("#soli").text(solicitante);
                  $("#oficinaDestino").text(ofiDestino);
                  $("#reciboObs").text(recibo_obs);
                  $("#reciboDet").text(recibo_det);
                  $("#codigoRecibo").text(codigoRecibo);
                  //$("#oficinaDir").text(ofiDesDir);
                  $("#soli1").text(solicitante.substring(0, 20));
                  $("#platillaI").printThis();

                  
          {% endifequal %}
          {% endifnotequal %}
            $('input').on('keypress', function(e){
              if(e.keyCode == 13)
              {
                      var inputs = $(this).parents("form").eq(0).find(":input.form-control");
                      var idx = inputs.index($(this));

                      if (idx == inputs.length - 1) {
                          inputs[0].select()
                      } else {
                          inputs[idx + 1].focus(); //  handles submit buttons
                         //inputs[idx + 1].select();
                      }
                      return false;
              }
          });

           $(".mayuscula").keyup(function(){
              var valor= $(this).val().toUpperCase();
              $(this).prop('value',valor);
            });

    
          $("input[name=TipoPersona]").click(function(){
              if($(this).val()=="Natural"){
                  $("#dniRUC").text("DNI");
                  $("#nombreRazon").text("Nombres");
                  $("#campoAp").show();
                  $("#campoAm").show();
              }
              else{
                  $("#dniRUC").text("RUC");
                  $("#nombreRazon").text("Razon Social");
                  $("#campoAp").hide();
                  $("#campoAm").hide();
              }
          });
          
          ajax_oficina();
          /*
          $("#ComboOficina").focus(function(){
            ajax_oficina();
          });*/
          //otra funcion
          function ajax_oficina(){
            $.ajax({
              url:'/oficinas_ajax/',
              type:'GET',
              dataType:'json',
              success: function(data){
              var html ="";
                $("#ComboOficina").html('');
                for(var i=0;i<data.length;i++){
                    html += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';

                }
                $('#ComboOficina').html(html);
                ajax_Comi_por_ofi_des();
                $('#ComboOficina').selectize();
              }
            });
          };
        //----------------------------------------------------
          $("#ComboOficina").change(function(){
            $("#campoCajaD").hide();
            $("#ComboCajaD").html("");
            $("#ts4").prop('checked',false);
            ajax_Comi_por_ofi_des();
            bnd=false;
            $("#txtCantidad").prop('value',null);
            $("#txtComicion").prop('value',null);
            $("#txtComicion").prop('readonly',false);
          })
          $("#ts4").click(function(){
            if($("#ts4").prop('checked')){
              $("#campoCajaD").show();
              ajax_cajaD($('#ComboOficina').val());
            }
            else
            {
              $("#campoCajaD").hide();
              $("#ComboCajaD").html("");
            }
          });
      
          function ajax_cajaD(pko){
            $.ajax({
              data:{'idOfi':pko},
              url:'/CajasPersonal_ajax/',
              type:'GET',
              dataType:'json',
              success: function(data){
              var html ="";
                $("#ComboCajaD").html('');
                for(var i=0;i<data.length;i++){
                    html += '<option value="'+data[i].pk+'">'+data[i].nombre+'/ '+data[i].op+'</option>';
                }
                $('#ComboCajaD').html(html);
              }
            });
          };
          //--------------------------------------------------
        
        
         // poner comas alos numeros
         function poner_coma(numero){
          var cadena= numero;
          n= cadena.length;
          var r='';
          var p=n;
          var up=0,p1='',p2='';
          while(p>3){
            p=p-3;
            p1=cadena.substring(0,p);
            p2=cadena.substring(p);
            r=','+p2+r;
            cadena=p1;
            console.log(p1);
            console.log(p2);
          }
          return(cadena+r);
         }
         //
         function normalizar(numero){
            var cadena=numero.toString();
            var parte='',num='',dec='00';
            if (cadena.indexOf('.')!=-1){
              parte=cadena.split('.');
              num=parte[0];
              dec=parte[1];
            }
            else{
              num=cadena;
            }
            var cade= poner_coma(num);
            return (cade+'.'+dec);
          }
          //
          function leer_3_cifreas(numero){
            var aux= "000"+numero.toString();
            var num=aux.substring(aux.length-3);
            if(num=='000'){
              return '';
            }
            else{
              var cen='';
              switch (num.charAt(0)) {
                  case '1':
                      if (num.charAt(1)!='0' || num.charAt()!='0'){
                        cen='Ciento ';
                      }
                      else{
                        cen='Cien';
                      }
                      break;
                  case '2':
                      cen='Docientos ';
                      break;
                  case '3':
                      cen='Trescientos ';
                      break;
                  case '4':
                      cen = "Cuatrocientos ";
                      break;
                  case '5':
                      cen = "Quinientos ";
                      break;
                  case  '6':
                      cen = "Seiscientos ";
                      break;
                  case '7':
                      cen = "Setecientos ";
                      break;
                  case '8':
                      cen = "Ochocientos ";
                      break;
                  case '9':
                      cen = "Novecientos ";
                      break;
              }//end switch
              var dec='';
              switch (num.charAt(1)) {
                  case '1':
                      switch (num.charAt(2)) {
                          case '0':
                              dec='Diez';
                              break;
                          case '1':
                              dec='Once';
                              break;
                          case '2':
                              dec='Doce';
                              break;
                          case '3':
                              dec = "Trece";
                              break;
                          case '4':
                              dec = "Catorce";
                              break;
                          case  '5':
                              dec = "Quince";
                              break;
                          default:
                              dec='Dieci';
                      }//end switch
                      break;
                  case '2':
                      if (num.charAt(2)=='0'){
                        dec='Veinte';
                      }
                      else{
                        dec='Veinti';
                      }
                      break;
                  case '3':
                      if (num.charAt(2)=='0'){
                        dec='Treinta';
                      }
                      else{
                        dec='Treinta y ';
                      }
                      break;
                  case '4':
                      if (num.charAt(2)=='0'){
                        dec='Cuarenta';
                      }
                      else{
                        dec='Cuarenta y ';
                      }
                      break;
                  case '5':
                      if (num.charAt(2)=='0'){
                        dec='Cincuenta';
                      }
                      else{
                        dec='Cincuenta y ';
                      }
                      break;
                  case  '6':
                      if (num.charAt(2)=='0'){
                        dec='Sesenta';
                      }
                      else{
                        dec='Sesenta y ';
                      }
                      break;
                  case '7':
                      if (num.charAt(2)=='0'){
                        dec='Setenta';
                      }
                      else{
                        dec='Setenta y ';
                      }
                      break;
                  case '8':
                      if (num.charAt(2)=='0'){
                        dec='Ochenta';
                      }
                      else{
                        dec='Ochenta y ';
                      }
                      break;
                  case '9':
                      if (num.charAt(2)=='0'){
                        dec='Noventa';
                      }
                      else{
                        dec='Noventa y ';
                      }
                      break;
              }//end switch
              var uni='';
              if (num.charAt(1)=='1' && (num.charAt(2)=='0' ||num.charAt(2)=='1' ||num.charAt(2)=='2' ||num.charAt(2)=='3' ||num.charAt(2)=='4' ||num.charAt(2)=='5')){
                uni=''
              }
              else{
                switch (num.charAt(2)) {
                    case '1':
                        uni='Uno'
                        break;
                    case '2':
                        uni='Dos';
                        break;
                    case '3':
                        uni='Tres';
                        break;
                    case '4':
                        uni = "Cuatro";
                        break;
                    case '5':
                        uni = "Cinco";
                        break;
                    case  '6':
                        uni = "Seis";
                        break;
                    case '7':
                        uni = "Siete";
                        break;
                    case '8':
                        uni = "Ocho";
                        break;
                    case '9':
                        uni = "Nueve";
                        break;
                }//end switch
              }
              return (cen+dec+uni);
            }//end else

          }

          function leer_complet(numero1){
            var numero=numero1.toString();
            var cadena='';
            if(numero.indexOf('.')!=-1){
              var aux= numero.split('.');
              numero= aux[0];
            }
            cadena= "000000000"+numero;
            var cen='';
            var mil='';
            var millon='';
            var p= cadena.length;
            if(cadena.substring(p-3)!="000"){
              cen=leer_3_cifreas(cadena.substring(p-3));
            }
            if (cadena.substring(p-6,p-3)!="000"){
                if (cadena.substring(p-6,p-3)=="001"){
                  mil=' Mil ';
                }
                else{
                  mil=leer_3_cifreas(cadena.substring(p-6,p-3))+' Mil ';
                }
                
              }
              if(cadena.charAt(p-7)!='0'){
                  millon=numero.substring(0,numero.length-6)+' Millon '
                }
            return (millon+mil+cen);
          }
       
         //
         $("#enviar_transferencia").click(function(){
          $("#resp_en").prop('class'," ");
          $("#resp_en").html(" ");
          $("#formulario").validator('validate');
          var mn='s/.'
          if ($("#Cmoneda option:selected").val()=='dolares'){
            mn='$'
          }
          $("#mn").text(mn);
          $("#mn1").text(mn);
          $("#mn2").text(mn);
          $("#canti_h4").text(normalizar($("#txtCantidad").val()));
          $("#comi_h4").text(normalizar($("#txtComicion").val()));
          $("#otros_h4").text(normalizar($("#txtConcepto").val()));
          $("#canti_h6").text(leer_complet($("#txtCantidad").val()));
          $("#comi_h6").text(leer_complet($("#txtComicion").val()));
          $("#otros_h6").text(leer_complet($("#txtConcepto").val()));
          $("#alerta_mone").text($("#Cmoneda option:selected").val());
          $("#alerta_mone1").text($("#Cmoneda option:selected").val());
          $("#alerta_mone2").text($("#Cmoneda option:selected").val());
         })
          $("#enviar_tr").click(function(e){
            e.preventDefault();
            $("#enviar_tr").prop('disabled',true);
            $("#resp_en").prop('class','alert alert-warning');
            $("#resp_en").html("<h4>ENVIANDO....</h4>");

            $("#formulario").submit();
          })
         //**********************************************************
      //************* comisiones *********************
     function ajax_Comi_por_ofi_des(){
      $.ajax({
        data:{'idOfi':$('#ComboOficina').val()},
        url:'/listaConfigCo_inter_para_ofici_ajax/',
        //async:false,
        type:'GET',
        dataType:'json',
        success: function(data){
            AuxC = data;
        }
      });
     }
     $("#txtCantidad").keyup(function(){
      //$("#rbnin").prop("checked",true);
      //$("#divComiBanco").addClass("hidden");
      //$("#divNroCta").addClass("hidden");
      $("#txtConcepto").val(0);
       flagComision=0;
       var bd=false;
       indice_monto =-1;
       var ind=0
       var mont= parseFloat($(this).val());
        if(AuxC!=""){
          for(var i=0;i<AuxC.length;i++){
            if(AuxC[i].montomin<=mont && AuxC[i].montomax >= mont){
              //$("#txtComicion").prop('value',AuxC[i].comision);
              ind=i;
              indice_monto=i;
              bd=true;
              //flagComision=true;
            }
          }
        }
        if(!bnd){
          if(bd){
            $("#txtComicion").prop('readonly',true);
            //$("#solAutCo").show();
            if(parseFloat(AuxC[ind].comision)<1){
              $("#txtComicion").prop('value',Math.floor(parseFloat(AuxC[ind].comision)*parseFloat(parseFloat($("#txtCantidad").val()))));
            }
            else{
              $("#txtComicion").prop('value',AuxC[ind].comision);
            }
            
            flagComision=parseFloat(AuxC[ind].comision);
          }
          else{
            $("#txtComicion").prop('readonly',false);
            $("#txtComicion").prop('value',null);
            //$("#solAutCo").hide();
          }
        }
     });


     $("#txtComicion").keyup(function(){
        flagKeyUp=$(this).val();
     });

     $("#txtComicion").change(function(){
      if(!bnd){
        var comision=parseFloat($(this).val());
        if(flagComision<1){
           if (comision<Math.floor(flagComision*parseFloat($("#txtCantidad").val()))){
            $(this).val(Math.floor(flagComision*parseFloat($("#txtCantidad").val())));
            //$("#modalCodAut").modal("show");
          }
        }
        else{
          if (comision<flagComision){
            $(this).val(flagComision);
            //$("#modalCodAut").modal("show");
          }
        }
        
      }
     });

         //*************************** autocompletado **************************
      //***************************** beneficiario **************************
      function datos_beneficiario(){
        return $("#txtDNIB").val()+' '+$("#txtNombreB").val()+' '+$("#txtAPB").val()+' '+$("#txtAMB").val()
      }
      function limpiar_benericiario(){
        $("#IdBeneficiado").prop('value',null);
        $("#txtDNIB").prop('value',null);
        $("#txtNombreB").prop('value',null);
        $("#txtAPB").prop('value',null);
        $("#txtAMB").prop('value',null);
      }
      function verificar_datos_bene(current,input_value){
        if (current.name == datos_beneficiario() || current.name == input_value) {
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            return true
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
            return false
          }
      }
      $("#txtDNIB").change(function() {
        var current = $("#txtDNIB").typeahead("getActive");
        if (current) {
          if(verificar_datos_bene(current,$("#txtDNIB").val())){
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
          }
          
          
          //console.log("if 1");
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_dni= $('#txtDNIB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombreB").change(function() {
        var current = $("#txtNombreB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtNombreB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
         
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
          
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_nombre= $('#txtNombreB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAPB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAPB").change(function() {
        var current = $("#txtAPB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAPB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Nuevo Cliente")
            
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("Nuevo Cliente")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_ap= $('#txtAPB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombreB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAMB").change(function() {
        var current = $("#txtAMB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAMB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            //swal("Beneficario", datos_beneficiario(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("(Nuevo Cliente)")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           //$("#txtDNIB").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_am= $('#txtAMB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAPB").val(),'no':$("#txtNombreB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_bene").click(function(e){
        e.preventDefault();
        limpiar_benericiario();
      })
      //***************************** solicitante **************************
      function datos_solicitante(){
        return $("#txtDNI").val()+' '+$("#txtNombre").val()+' '+$("#txtAP").val()+' '+$("#txtAM").val()
      }
      function limpiar_solicitante(){
        $("#IdCliente").prop('value',null);
        $("#txtDNI").prop('value',null);
        $("#txtNombre").prop('value',null);
        $("#txtAP").prop('value',null);
        $("#txtAM").prop('value',null);
      }
      
      $("#txtDNI").change(function() {
        var current = $("#txtDNI").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtDNI").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_dni= $('#txtDNI').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombre").change(function() {
        var current = $("#txtNombre").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtNombre").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_nombre= $('#txtNombre').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAP").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAP").change(function() {
        var current = $("#txtAP").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAP").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
             $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ap= $('#txtAP').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombre").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAM").change(function() {
        var current = $("#txtAM").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAM").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ami= $('#txtAM').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAP").val(),'no':$("#txtNombre").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_soli").click(function(e){
        e.preventDefault();
        limpiar_solicitante();
      })
      //******************
         //
         //
         //
         //***** SOCKET ****
      $("#btn_consultar").click(function(e){
        e.preventDefault();
        /*
        let data ={}
        data.dni = $("#txtDNIB").val();
        data.tipo="be"
        console.log(data);
        socket.emit('validar_nd',data);
        $('#panel_beneficiario').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        */
      })
      $("#btn_consultar_so").click(function(e){
        e.preventDefault();
        /*
        let data ={}
        data.dni = $("#txtDNI").val();
        data.tipo="so"
        console.log(data);
        socket.emit('validar_nd',data);
        $('#panel_solicitante').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        */
      })
      /*
      socket.on('validado',function(data){
        console.log(data);
        if(data.status==1){
          let str = data.razon;
          let res = str.trim().split(",");
          let res1 = res[0].trim().split(" ");
          let st_ma= ""
          for(let i=1;i<res1.length;i++){
            st_ma+=res1[i]+" ";
          }
          if(data.tipo=="be"){
            $("#txtNombreB").val(res[1]);
            $("#txtAPB").val(res1[0]);
            $("#txtAMB").val(st_ma.trim());
          }
          if(data.tipo=="so"){
            $("#txtNombre").val(res[1]);
            $("#txtAP").val(res1[0]);
            $("#txtAM").val(st_ma.trim());
          }
          
        }
        else{
          bootbox.alert({ 
            message: data.mensaje,
            className: 'bb-alternate-modal'
          }); 
        }

        $('#panel_beneficiario').waitMe('hide');
        $('#panel_solicitante').waitMe('hide');
      });
      */
      //****************
        });
    </script>
{% endblock content1 %}
